Package: org.grails.web.converters

## [Groovy] Class ConvertersExtension

- org.grails.web.converters.ConvertersExtension

- Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static T` | `asType(java.lang.Object instance, java.lang.Class<T> clazz)`
    `static T` | `asType(java.lang.Object[] array, java.lang.Class<T> clazz)`
    `static java.lang.Object` | `getJSON(javax.servlet.http.HttpServletRequest request)`
    `static java.lang.Object` | `getXML(javax.servlet.http.HttpServletRequest request)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### static T asType(java.lang.Object instance, java.lang.Class<T> clazz)

    - #### static T asType(java.lang.Object[] array, java.lang.Class<T> clazz)

    - #### static java.lang.Object getJSON(javax.servlet.http.HttpServletRequest request)

    - #### static java.lang.Object getXML(javax.servlet.http.HttpServletRequest request)